# gdcm::SOPClassUIDToIOD Class Reference

Class convert a class SOP Class UID into IOD. More...

`#include <gdcmSOPClassUIDToIOD.h>`

List of all members.

## Public Types

typedef const char * | const (SOPClassUIDToIODType)[2]

## Static Public Member Functions

static const char * | GetIOD (UIDs const &uid)
static const char * | GetIODFromSOPClassUID (const char *sopclassuid)
static unsigned int | GetNumberOfSOPClassToIOD ()
| Return the number of SOP Class UID listed internally.
static const char * | GetSOPClassUIDFromIOD (const char *iod)
static SOPClassUIDToIODType & | GetSOPClassUIDToIOD (unsigned int i)
static SOPClassUIDToIODType * | GetSOPClassUIDToIODs ()

## Detailed Description

Class convert a class SOP Class UID into IOD.

Reference PS 3.4 Table B.5-1 STANDARD SOP CLASSES

## Member Typedef Documentation

typedef const char* gdcm::SOPClassUIDToIOD::const(SOPClassUIDToIODType)[2]

## Member Function Documentation

static const char* gdcm::SOPClassUIDToIOD::GetIOD | ( | UIDs const & | uid | ) | `[static]`

Return the associated IOD based on a SOP Class UID uid (there is a one-to-one mapping from SOP Class UID to matching IOD)

Examples:
  GenerateStandardSOPClasses.cxx.

static const char* gdcm::SOPClassUIDToIOD::GetIODFromSOPClassUID | ( | const char * | sopclassuid | ) | `[static]`

static unsigned int gdcm::SOPClassUIDToIOD::GetNumberOfSOPClassToIOD | ( |  | ) | `[static]`

Return the number of SOP Class UID listed internally.

static const char* gdcm::SOPClassUIDToIOD::GetSOPClassUIDFromIOD | ( | const char * | iod | ) | `[static]`

static SOPClassUIDToIODType& gdcm::SOPClassUIDToIOD::GetSOPClassUIDToIOD | ( | unsigned int | i | ) | `[static]`

static SOPClassUIDToIODType* gdcm::SOPClassUIDToIOD::GetSOPClassUIDToIODs | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- gdcmSOPClassUIDToIOD.h